<?php
/**
* Sets setting field for page templates
* 
* @since  Reef 0.1
* @param  array $settings
* @return array Merged array of settings
*
*/
function reef_page_template_customizer_fields( $settings ){

	$templates = array(

		'location_page' => array(
			'label'   => esc_html__( 'Select Location Page', 'reef' ),
			'section' => 'contact_sec',
			'type'    => 'dropdown-pages',
		),
		'enquiry_page' => array(
			'label'   => esc_html__( 'Select Enquiry Page', 'reef' ),
			'section' => 'contact_sec',
			'type'    => 'dropdown-pages',
		),
		'call_us_page' => array(
			'label'   => esc_html__( 'Select Call Us Page', 'reef' ),
			'section' => 'contact_sec',
			'type'    => 'dropdown-pages',
		),
		'contact_form_shortcode' => array(
			'label'       => esc_html__( 'cf7 Shortcode', 'reef' ),
			'description' => esc_html__( 'To display contact form', 'reef' ),
			'section'     => 'contact_sec',
			'type'        => 'text',
		),
		
		# About Section settings
		'service_item_1' => array(
			'label'   => esc_html__( 'Service Item 1', 'reef' ),
			'section' => 'service_sec',
			'type'    => 'dropdown-pages',
		),
		'service_item_2' => array(
			'label'   => esc_html__( 'Service Item 2', 'reef' ),
			'section' => 'service_sec',
			'type'    => 'dropdown-pages',
		),
		'service_item_3' => array(
			'label'   => esc_html__( 'Service Item 3', 'reef' ),
			'section' => 'service_sec',
			'type'    => 'dropdown-pages',
		),

		# FAQ Section Settings
		'faq_page_1' => array(
			'label'   => esc_html__( 'Faq Page 1', 'reef' ),
			'section' => 'faq_sec',
			'type'    => 'dropdown-pages'
		),
		'faq_page_2' => array(
			'label'   => esc_html__( 'Faq Page 2', 'reef' ),
			'section' => 'faq_sec',
			'type'    => 'dropdown-pages'
		),
		'faq_page_3' => array(
			'label'   => esc_html__( 'Faq Page 3', 'reef' ),
			'section' => 'faq_sec',
			'type'    => 'dropdown-pages'
		),
		'faq_page_4' => array(
			'label'   => esc_html__( 'Faq Page 4', 'reef' ),
			'section' => 'faq_sec',
			'type'    => 'dropdown-pages'
		),
	);

	return array_merge( $templates, $settings );
}
add_filter( 'reef_customizer_fields', 'reef_page_template_customizer_fields' );